# Functor Typeable_class.Builder

    module Builder: functor (Generator : Pa_deriving_common.Defs.Generator) -> sig .. end

Parameters:

`Generator` | : | `Pa_deriving_common.Defs.Generator`

    module Helpers: Generator.AstHelpers

    val mkName : string -> string

    val wrap : Camlp4.PreCast.Ast.expr -> Camlp4.PreCast.Ast.str_item list

    val generator : Generator.generator

    val classname : Pa_deriving_common.Type.name

    val runtimename : Pa_deriving_common.Type.name

    val generate : Pa_deriving_common.Type.decl list -> Camlp4.PreCast.Ast.str_item

    val generate_sigs : Pa_deriving_common.Type.decl list -> Camlp4.PreCast.Ast.sig_item

    val generate_expr : Camlp4.PreCast.Ast.module_expr Pa_deriving_common.Type.EMap.t ->
           Pa_deriving_common.Type.qname Pa_deriving_common.Type.NameMap.t ->
           Pa_deriving_common.Type.expr -> Camlp4.PreCast.Ast.module_expr